Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.service
Class UserProfileModuleService

    java.lang.Object
      org.jboss.portal.identity.service.IdentityModuleService
          org.jboss.portal.identity.service.UserProfileModuleService

All Implemented Interfaces:
  UserProfileModule

Direct Known Subclasses:
  DelegatingUserProfileModuleImpl, HibernateUserProfileModuleImpl, LDAPUserProfileModule

    public abstract class UserProfileModuleService

extends IdentityModuleService
implements UserProfileModule

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary
`protected ProfileInfo` | `profileInfo`

Fields inherited from class org.jboss.portal.identity.service.IdentityModuleService
`moduleType`

Constructor Summary
`protected` | `UserProfileModuleService()`

Method Summary
`protected void` | `fireUserProfileChangedEvent(java.lang.Object userId, java.lang.String userName, java.lang.String propertyName, java.lang.Object newValue)`
`java.lang.String` | `getProfileConfigFile()`
`void` | `setProfileConfigFile(java.lang.String profileConfigFile)`
`void` | `setProfileInfo(ProfileInfo profileInfo)`
`void` | `start()`

Methods inherited from class org.jboss.portal.identity.service.IdentityModuleService
`getConnectionJNDIName, getIdentityConfiguration, getIdentityContext, getIdentityEventBroadcaster, getInitOptions, getJndiBinder, getJNDIName, getModuleType, setConnectionJNDIName, setIdentityContext, setInitOptions, setJndiBinder, setJNDIName, setModuleType, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.identity.UserProfileModule
`getProfileInfo, getProperties, getProperty, setProperty`

Field Detail

### profileInfo

    protected ProfileInfo profileInfo

Constructor Detail

### UserProfileModuleService

    protected UserProfileModuleService()

Method Detail

### start

    public void start()
               throws java.lang.Exception

  Overrides:
    `start` in class `IdentityModuleService`
  Throws:
    `java.lang.Exception`

### setProfileInfo

    public void setProfileInfo(ProfileInfo profileInfo)

### getProfileConfigFile

    public java.lang.String getProfileConfigFile()

### setProfileConfigFile

    public void setProfileConfigFile(java.lang.String profileConfigFile)

### fireUserProfileChangedEvent

    protected void fireUserProfileChangedEvent(java.lang.Object userId,
                                               java.lang.String userName,
                                               java.lang.String propertyName,
                                               java.lang.Object newValue)
                                        throws IdentityException

  Throws:
    `IdentityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD